NUMFMT(1)

NOMBRE
numfmt - Convierte números a/desde un formato humanamente legible

SINOPSIS
numfmt [OPCIÓN]... [NÚMERO]...

DESCRIPCIÓN

Cambia el formato a NÚMERO(s), si no se especifica ninguno emplea la entrada estándar.

Los argumentos obligatorios para las opciones largas son también obligatorios para las opciones cortas.

--debug
    muestra avisos para entradas inválidas

-d, --delimiter=X
    emplea X para separar campos en lugar de un espacio en blanco

--field=CAMPOS
    sustituye los números de los campos indicados (por defecto=1). Consulte CAMPOS más adelante

--format=FORMATO
    emplea el FORMATO de coma flotante de printf. Consulte FORMATO más adelante

--from=UNIDAD
    escala automáticamente los números dados en las UNIDAD(es) dadas. Por defecto se considera 'none'. Consulte UNIDAD más adelante.

--from-unit=N
    define las unidades de la entrada (en lugar de tomar la opción por defecto: 1)

--grouping
    agrupa las cifras según la localización del equipo, por ejemplo: 1,000,000 (esto carece de efecto el la localización estándar C/POSIX)

--header[=N]
    muestra (sin realizar ninguna conversión) las primeras N líneas de encabezado. Por defecto, N=1.

--invalid=MODO
    acción a realizar en caso de econtrarse n número inválida. MODO puede ser: abort (por defecto), fail, warn, ignore

--padding=N
    añade N caracteres para espaciar la salida. Valores positivos de N alínean a la derecha mientras que valores negativos lo harán a la izquierda. Se ignora el margen si la salida es más ancha que N. Por defecto, se añaden estos caracteres si se encuentra algún espacio en blanco.

--round=MÉTODO
    Emplea MÉTODO para redondear la escala. MÉTODO puede adoptar los siguientes valores: uo, down, from-zero (por defecto), towards-zero y nearest

--suffix=SUFIJO
    añade SUFIJO a los números de salida y acepta SUFIJO opcional en los números de entrada

--to=UNIDAD
    reescala los números de salida a UNIDAD(es). Consulte UNIDAD más adelante

--to-unit=N
    tamaño de unidad de salida (por defecto: 1)

-z, --zero-terminated
    las líneas se delimitan con NUL en lugar de nueva línea

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

  UNIDAD opciones:

none
    no se escala de manera automática; los sufijos provocarán errores

auto
    Se aceptan sufijos opcionales de una o dos letras: 1k = 1000, 1Ki = 1024, 1M = 1000000, 1Mi = 1048576,

si  acepta sufijos opcionales de una sóla letra: 1k = 1000, 1K = 1000, 1M = 1000000, ...

iec acepta sufijos opcionales de una sóla letra: 1K = 1024, 1k = 1024, 1M = 1048576, ...

iec-i
    acepta sufijos opcionales de dos letras: 1Ki = 1024, 1ki = 1024, 1Mi = 1048576, ...

  CAMPOS permite emplear intervalos al estilo de cut(1)

N   enésimo campo, empezando en el 1

N-  desde el enésimo campo hasta el final de la línea

N-M desde el enésimo campo hasta el emésimo (ambos inclusive)

-M  desde el primer hasta el emésimo campo (incluido)

-   todos los campos

Pueden separarse los campos/intervalos mediante comas

El FORMATO debe permitir la impresión de un argumento de coma flotante '%f'. Si se añade una comilla (%'f') activa --grouping siempre que la localización del equipo lo permita. El valor opcional de ancho (%10f) define el espaciado de la salida. El cero (%010f) dejará a los números sin espaciado. Valores negativos (%-10f) harán que se alinee a la izquierda. Si se define la precisión (%.1f), se anulará cualquier otro valor dado en la entrada.

El estado de salida será cero si todos los números dados han sido correctamente convertidos. Por defecto, numfmt se detendrá en el primer error de conversión con un estado de salida de 2. Con la opción --invalid='fail' se muestra un aviso para cada error finalizando con estado de salida 2. Si se emplea --invalid='warn' se revisa cada error de conversión pero el estado de salida será cero, mientras que con --invalid='ignore' no se revisan los errores de conversión y el estado de salida será cero.

EJEMPLOS

    $ numfmt --to=si 1000

    -> "1.0K"

    $ numfmt --to=iec 2048

    -> "2.0K"

    $ numfmt to=iec-i 4096

    -> "4.0Ki"

    $ echo 1K | numfmt --from=si

    -> "1000"

    $ echo 1K | numfmt --from=iec

    -> "1024"

    $ df -B1 | numfmt --header --field 2-4 --to=si
    $ ls -l | numfmt --header --field 5 --to=iec
    $ ls -lh | numfmt --header --field 5 --from=iec --padding=10
    $ ls -lh | numfmt --header --field 5 --from=iec --format %10f

AUTOR
Escrito por Assaf Gordon.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

COPYRIGHT
Copyright © 2025 Free Software Foundation, Inc. Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo. NO HAY GARANTÍA, en la medida permitida por la legislación.

VÉASE TAMBIÉN
Documentación completa <https://www.gnu.org/software/coreutils/numfmt>
también disponible localmente ejecutando: info '(coreutils) numfmt invocation'

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.